Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPaintDevice.PaintDeviceMetric

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPaintDevice.PaintDeviceMetric

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPaintDevice

    public static final class QPaintDevice.PaintDeviceMetric

extends java.lang.Enum
implements QtEnumerator

Describes the various metrics of a paint device.

See also:
  `metric()`.

See Also:
  Serialized Form

Field Summary
`static QPaintDevice.PaintDeviceMetric` | `PdmDepth` The bit depth (number of bit planes) of the paint device.
`static QPaintDevice.PaintDeviceMetric` | `PdmDpiX` The horizontal resolution of the device in dots per inch.
`static QPaintDevice.PaintDeviceMetric` | `PdmDpiY` The vertical resolution of the device in dots per inch.
`static QPaintDevice.PaintDeviceMetric` | `PdmHeight` The height of the paint device in default coordinate system units (e.
`static QPaintDevice.PaintDeviceMetric` | `PdmHeightMM` The height of the paint device in millimeters.
`static QPaintDevice.PaintDeviceMetric` | `PdmNumColors` The number of different colors available for the paint device.
`static QPaintDevice.PaintDeviceMetric` | `PdmPhysicalDpiX` The horizontal resolution of the device in dots per inch.
`static QPaintDevice.PaintDeviceMetric` | `PdmPhysicalDpiY` The vertical resolution of the device in dots per inch.
`static QPaintDevice.PaintDeviceMetric` | `PdmWidth` The width of the paint device in default coordinate system units (e.
`static QPaintDevice.PaintDeviceMetric` | `PdmWidthMM` The width of the paint device in millimeters.

Method Summary
`static QPaintDevice.PaintDeviceMetric` | `resolve(int value)` Returns the QPaintDevice$PaintDeviceMetric constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPaintDevice.PaintDeviceMetric` | `valueOf(java.lang.String name)`
`static QPaintDevice.PaintDeviceMetric[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PdmWidth

    public static final QPaintDevice.PaintDeviceMetric PdmWidth

  The width of the paint device in default coordinate system units (e. . pixels for `QPixmap` and `QWidget`). See also `width()`.

### PdmHeight

    public static final QPaintDevice.PaintDeviceMetric PdmHeight

  The height of the paint device in default coordinate system units (e. . pixels for `QPixmap` and `QWidget`). See also `height()`.

### PdmWidthMM

    public static final QPaintDevice.PaintDeviceMetric PdmWidthMM

  The width of the paint device in millimeters. See also `widthMM()`.

### PdmHeightMM

    public static final QPaintDevice.PaintDeviceMetric PdmHeightMM

  The height of the paint device in millimeters. See also `heightMM()`.

### PdmNumColors

    public static final QPaintDevice.PaintDeviceMetric PdmNumColors

  The number of different colors available for the paint device. See also `numColors()`.

### PdmDepth

    public static final QPaintDevice.PaintDeviceMetric PdmDepth

  The bit depth (number of bit planes) of the paint device. See also `depth()`.

### PdmDpiX

    public static final QPaintDevice.PaintDeviceMetric PdmDpiX

  The horizontal resolution of the device in dots per inch. See also `logicalDpiX()`.

### PdmDpiY

    public static final QPaintDevice.PaintDeviceMetric PdmDpiY

  The vertical resolution of the device in dots per inch. See also `logicalDpiY()`.

### PdmPhysicalDpiX

    public static final QPaintDevice.PaintDeviceMetric PdmPhysicalDpiX

  The horizontal resolution of the device in dots per inch. See also `physicalDpiX()`.

### PdmPhysicalDpiY

    public static final QPaintDevice.PaintDeviceMetric PdmPhysicalDpiY

  The vertical resolution of the device in dots per inch. See also `physicalDpiY()`.

Method Detail

### values

    public static QPaintDevice.PaintDeviceMetric[] values()

### valueOf

    public static QPaintDevice.PaintDeviceMetric valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPaintDevice.PaintDeviceMetric resolve(int value)

  Returns the QPaintDevice$PaintDeviceMetric constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD